# Interface ICefPostData

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefPostData = interface(ICefBaseRefCounted)`

## Description

Interface used to represent post data for a web request. The functions of this interface may be called on any thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_request_capi.h">CEF source file: /include/capi/cef_request_capi.h (cef_post_data_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefPostData

## Overview

### Methods

| `function IsReadOnly: Boolean;`
| `function HasExcludedElements: Boolean;`
| `function GetElementCount: NativeUInt;`
| `procedure GetElements(elementsCount: NativeUInt; var elements: TCefPostDataElementArray);`
| `function RemoveElement(const element: ICefPostDataElement): Boolean;`
| `function AddElement(const element: ICefPostDataElement): Boolean;`
| `procedure RemoveElements;`

## Description

### Methods

| `function IsReadOnly: Boolean;`
Returns true (1) if this object is read-only. ###### Attributes GUID['{1E677630-9339-4732-BB99-D6FE4DE4AEC0}']

| `function HasExcludedElements: Boolean;`
Returns true (1) if the underlying POST data includes elements that are not represented by this ICefPostData object (for example, multi-part file upload data). Modifying ICefPostData objects with excluded elements may result in the request failing.

| `function GetElementCount: NativeUInt;`
Returns the number of existing post data elements.

| `procedure GetElements(elementsCount: NativeUInt; var elements: TCefPostDataElementArray);`
Retrieve the post data elements.

| `function RemoveElement(const element: ICefPostDataElement): Boolean;`
Remove the specified post data element. Returns true (1) if the removal succeeds.

| `function AddElement(const element: ICefPostDataElement): Boolean;`
Add the specified post data element. Returns true (1) if the add succeeds.

| `procedure RemoveElements;`
Remove all existing post data elements.

Generated by PasDoc 0.16.0-snapshot.